#include "sokodan.h"

void print_move (gpointer data, gpointer extra)
{
  MovePtr move = (MovePtr) data;
  g_assert (extra == NULL);

  g_print ("x=%d, y=%d, dir=%d\n",
           move->x, move->y, move->dir);
}

void print_position (gpointer data, gpointer extra)
{
  PositionPtr pos = (PositionPtr) data;
  int x, y;

  g_assert (extra == NULL);

  for (y = 0; y < HEIGHT; y++)
  {
    for (x = 0; x < WIDTH; x++)
    {
      switch (pos->grid[ x ][ y ])
      {
      case 1:  g_print ("  "); break;
      case 3:  g_print (" #"); break;
      case 5:  g_print (" g"); break;
      case 9:  g_print (" O"); break;
      case 13: g_print (" @"); break;
      case 17: g_print (". "); break;
      case 25: g_print (".O"); break;
      default: 
        g_print ("%d,%d : %d\n", x, y, pos->grid[ x ][ y ]);
        g_assert_not_reached ();
      }
    }
    g_print ("\n");
  }
  g_print ("\n");
}
