static void        cleanup     (void *unused);

static PositionPtr iterate     (PositionPtr position);

static gboolean    is_doomed   (PositionPtr, MovePtr);
static gboolean    square_test (PositionPtr pos, 
																Coordinate x, Coordinate y,
																gint8 i, gint8 j);
static gboolean    edge_test   (PositionPtr pos, MovePtr last_move);

static guint        Level;
static guint        Nb_of_studied_positions;
static guint        Nb_of_studied_positions_in_this_level;
static guint        Nb_of_positions_in_this_level;
static guint        Nb_of_positions_in_next_level;
static PosHashTable Studied_positions;
static PosList      Positions_in_this_level;
static PosList      Positions_in_next_level;

/* This should be in search_movesx.h, but... */
MoveList search_moves (PositionPtr current);

/* In Position.c */
void solve_init (void);
void solve_term (void);
